TEXCUBEARRAYLOD(3Cg)

NAME
texCUBEARRAYlod - cube array texture lookup with specified level of detail.

SYNOPSIS
  float4 texCUBEARRAYlod(samplerCUBEARRAY samp, float4 s, float lod)

  int4 texCUBEARRAYlod(isamplerCUBEARRAY samp, float4 s, float lod)

  unsigned int4 texCUBEARRAYlod(usamplerCUBEARRAY samp, float4 s, float lod)

PARAMETERS

samp
    Cube array sampler to look up.

s.xyz
    Coordinates to perform the lookup.

s.w Cube map array layer.

lod Level of detail.

DESCRIPTION
Performs a texture lookup in sampler samp using coordinates s, the texture to be sampled is selected from the layer specified in the coordinates.

PROFILE SUPPORT
texCUBEARRAYlod is only supported in gp5 and newer profiles.

SEE ALSO
texCUBEARRAY, texCUBEARRAYbias